package com.staffing.custom.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.staffing.common.annotation.Excel;
import com.staffing.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 员工对象 st_employee
 * 
 * @author staffing
 * @date 2024-08-27
 */
public class StEmployee extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 名字 */
    @Excel(name = "名字")
    private String realName;

    /** 手机 */
    @Excel(name = "手机")
    private String phone;

    /** 身份证 */
    @Excel(name = "身份证")
    private String idCard;

    /** 性别 */
    @Excel(name = "性别")
    private Integer sex;

    /** 民族 */
    @Excel(name = "民族")
    private String nation;

    /** 年龄 */
    @Excel(name = "年龄")
    private Long age;

    /** 用工单位 */
    @Excel(name = "用工单位")
    private String useUnit;

    /** 面试日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "面试日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date interviewDate;

    /** 入职日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "入职日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date entryDate;

    /** 供应商 */
    @Excel(name = "供应商")
    private String supplier;

    /** 员工单价 */
    @Excel(name = "员工单价")
    private String employeePrice;

    /** 供应商单价 */
    @Excel(name = "供应商单价")
    private String supplierPrice;

    /** 用工类型 */
    @Excel(name = "用工类型")
    private Long employeeType;

    private String openId;

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setRealName(String realName) 
    {
        this.realName = realName;
    }

    public String getRealName() 
    {
        return realName;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setIdCard(String idCard) 
    {
        this.idCard = idCard;
    }

    public String getIdCard() 
    {
        return idCard;
    }
    public void setSex(Integer sex) 
    {
        this.sex = sex;
    }

    public Integer getSex() 
    {
        return sex;
    }
    public void setNation(String nation) 
    {
        this.nation = nation;
    }

    public String getNation() 
    {
        return nation;
    }
    public void setAge(Long age) 
    {
        this.age = age;
    }

    public Long getAge() 
    {
        return age;
    }
    public void setUseUnit(String useUnit) 
    {
        this.useUnit = useUnit;
    }

    public String getUseUnit() 
    {
        return useUnit;
    }
    public void setInterviewDate(Date interviewDate) 
    {
        this.interviewDate = interviewDate;
    }

    public Date getInterviewDate() 
    {
        return interviewDate;
    }
    public void setEntryDate(Date entryDate) 
    {
        this.entryDate = entryDate;
    }

    public Date getEntryDate() 
    {
        return entryDate;
    }
    public void setSupplier(String supplier) 
    {
        this.supplier = supplier;
    }

    public String getSupplier() 
    {
        return supplier;
    }
    public void setEmployeePrice(String employeePrice) 
    {
        this.employeePrice = employeePrice;
    }

    public String getEmployeePrice() 
    {
        return employeePrice;
    }
    public void setSupplierPrice(String supplierPrice) 
    {
        this.supplierPrice = supplierPrice;
    }

    public String getSupplierPrice() 
    {
        return supplierPrice;
    }
    public void setEmployeeType(Long employeeType) 
    {
        this.employeeType = employeeType;
    }

    public Long getEmployeeType() 
    {
        return employeeType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("realName", getRealName())
            .append("phone", getPhone())
            .append("idCard", getIdCard())
            .append("sex", getSex())
            .append("nation", getNation())
            .append("age", getAge())
            .append("useUnit", getUseUnit())
            .append("interviewDate", getInterviewDate())
            .append("entryDate", getEntryDate())
            .append("supplier", getSupplier())
            .append("employeePrice", getEmployeePrice())
            .append("supplierPrice", getSupplierPrice())
            .append("employeeType", getEmployeeType())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
